GETNAME(8)

NAME
getNAME - get NAME sections from manual source for whatis/apropos data base

SYNOPSIS
[-itvw] path [path ...]

DESCRIPTION
The getNAME utility looks inside manual page sources to find the name of the page. It can be used to create a table of contents, report the style of manual, or to create an introductory manual page. By default, getNAME returns data for use in an apropos(1) database. getNAME is designed to be called from makewhatis(8) or other manual grovelling tools, not to be used directly.

OPTIONS
The following options are available:

-i  The -i option returns information useful in creating an introduction manual. See intro(1), intro(2), etc. for examples.

-t  The -t option returns information useful for creating a table of contents.

-v  Complain about incorrectly formatted man pages.

-w  The -w option determines whether traditional man (“OLD”), new mandoc (“NEW”), or some unknown (“UNKNOWN”) macros are in use.

HISTORY
The getNAME command first appeared in 2.0BSD

BUGS
It would be nice if getNAME could deal with compressed and/or preformatted manual pages. Looks for .S[Hh] NAME for consistency checking, but that breaks man pages in other languages.

SEE ALSO
man(1), catman(8), makewhatis(8)